<?php

namespace TableBuilderPro\Admin;

defined('ABSPATH') || exit;

class Admin
{
    use \TableBuilderPro\Traits\Singleton;

    public function __construct()
    {
        add_action('admin_menu', [$this, 'add_admin_menu'], 10);
    }

    public function add_admin_menu()
    {
        add_submenu_page(
            'tablebuilder',
            esc_html__('License', 'table-builder-block-pro'),
            esc_html__('License', 'table-builder-block-pro'),
            'manage_options',
            admin_url('admin.php?page=tablebuilder#license')
        );
    }
}
